### Enumeration

# Gdk DeviceToolType

#### Declaration

    enum Gdk.DeviceToolType

#### Description [src]

Indicates the specific type of tool being used being a tablet. Such as an airbrush, pencil, etc.

#### Members

Name | Description
--- | ---
`GDK_DEVICE_TOOL_TYPE_UNKNOWN` | Tool is of an unknown type.
`GDK_DEVICE_TOOL_TYPE_PEN` | Tool is a standard tablet stylus.
`GDK_DEVICE_TOOL_TYPE_ERASER` | Tool is standard tablet eraser.
`GDK_DEVICE_TOOL_TYPE_BRUSH` | Tool is a brush stylus.
`GDK_DEVICE_TOOL_TYPE_PENCIL` | Tool is a pencil stylus.
`GDK_DEVICE_TOOL_TYPE_AIRBRUSH` | Tool is an airbrush stylus.
`GDK_DEVICE_TOOL_TYPE_MOUSE` | Tool is a mouse.
`GDK_DEVICE_TOOL_TYPE_LENS` | Tool is a lens cursor.